DCOM98 and DCOM95 
Author Message
 DCOM98 and DCOM95

The Package and Deployment Wizard for VB6,SP4 tells me that since I am using
mdac_type.exe in my application, my users must have DCOM98 on their system to
install my application properly.

I want to deploy on Windows 95 and 98 systems.  Q198600 tells me that DCOM95 1.3
is newer than the DCOM98 that comes with VB6.  So I plan to include it in my
Windows 95 distribution.  Since DCOM98 1.3 cannot be redistributed I plan to
point my Windows 98 users at its Web site.

My question is do I need to check for these programs on the target computer.  
Would there be a problem installing Version 1.3 of DCOM98 or DCOM95 over
themselves or previous DCOM versions?

Bob Coleman



Sat, 27 Sep 2003 21:35:54 GMT  
 DCOM98 and DCOM95
Hi Bob,

Since the installation of MDAC requires installation of DCOM on target
machines, you are encouraged NOT to distribute DCOM stuff along with your
package. Simply point your application users to the appropriate Web site so
that they will get the DCOM stuff updated/installed in their systems. Also
Microsoft should have tested that the upgrade to the latest version is
safe, if you encounter any problems during the process and if you want to
pursue it, submit a service request so that one of our support
professionals will work with you to find out the root cause.

Regards,
Benl.



Sun, 28 Sep 2003 10:19:36 GMT  
 DCOM98 and DCOM95
Thanks,
I'll do that.  What about Millenium? And can I assume that any version of NT or
Windows 2000 will handle VB6's MDAC_TYPE.exe?
Bob
.


Mon, 29 Sep 2003 03:30:04 GMT  
 DCOM98 and DCOM95
Hi Bob,

I do not quite understand what you mean here. You should know that Win2000
ships with MDAC2.5. What else information do you need?

Regards,
Benl



Tue, 30 Sep 2003 11:13:17 GMT  
 DCOM98 and DCOM95
Thanks Benl,
I will tell my Windows 2000 users to keep their version of MDAC_TYPE.exe instead
of installing the one I ship, since my setup program was built on a Windows 98 2E
with Visual Basic 6.0 SP4.  Shall I tell my Millenium users the same thing?
Quote:
-----Original Message-----
Hi Bob,

I do not quite understand what you mean here. You should know that Win2000
ships with MDAC2.5. What else information do you need?

Regards,
Benl

.



Fri, 03 Oct 2003 21:39:58 GMT  
 DCOM98 and DCOM95
Hi Robert,

WinME ships with MDAC2.5 too and you don't need to worry about the MDAC
stuff packaged. If it is higher than 2.5, it will upgrade the target
machine, if lower, the version remains.

Regards,
Benl



Sat, 04 Oct 2003 09:07:44 GMT  
 
 [ 6 post ] 

 Relevant Pages 

1. DCOM98.exe or DCOM95.exe

2. Problem:Windows 2000 and dcom95 or dcom98 (MDAC)

3. Setup fails MDAC_TYP ; ADO; DCOM95; DCOM98

4. DCOM95 and MDAC2.5?

5. Installing DCOM95 and Winsock2 on a client machine?

6. DCOM95 and VBScript error on Win2000 pcs

7. Running DCOM95.EXE from SETUP1.EXE hangs!?

8. Automation error -2147023149 (DCOM95/98)

9. Installing DCOM95 and Winsock2 on a client machine?

10. DCOM98??????

11. DCOM98

12. DCOM98 and Dial-Up

 

 
Powered by phpBB® Forum Software